<?php
include("../conn/conn.php");

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    if (isset($_POST['name'], $_POST['contact_number'], $_POST['address'], $_POST['purpose_office'])) {
        $name = $_POST['name'];
        $contactNumber = $_POST['contact_number'];
        $address = $_POST['address'];
        $purposeOffice = $_POST['purpose_office'];
        $timeIn = date("H:i:s"); // Use date() instead of time()
        $date = date("Y-m-d");

        try {
            $stmt = $conn->prepare("INSERT INTO tbl_visitors (name, contact_number, address, purpose_office, time_in, date) VALUES (:name, :contact_number, :address, :purpose_office, :time_in, :date)");
            
            $stmt->bindParam(":name", $name, PDO::PARAM_STR); // Add ":" before parameter names
            $stmt->bindParam(":contact_number", $contactNumber, PDO::PARAM_STR);
            $stmt->bindParam(":address", $address, PDO::PARAM_STR);
            $stmt->bindParam(":purpose_office", $purposeOffice, PDO::PARAM_STR);
            $stmt->bindParam(":time_in", $timeIn, PDO::PARAM_STR);
            $stmt->bindParam(":date", $date, PDO::PARAM_STR);

            $stmt->execute();

            header("Location: http://localhost/school-visitors-log-e-book/log-book.php");

            exit();
        } catch (PDOException $e) {
            echo "Error:" . $e->getMessage();
        }

    } else {
        echo "
            <script>
                alert('Please fill in all fields!');
                window.location.href = 'http://localhost/school-visitors-log-e-book/log-book.php';
            </script>
        ";
    }
}
?>
