<?php include ("./conn/conn.php") ?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>School Visitor Log e-e-book</title>

    <!-- Style CSS -->
    <link rel="stylesheet" href="./assets/style.css">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css">
</head>
<body>

    <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
        <a class="navbar-brand ml-3" href="">School Visitor Log e-book</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav">
            <li class="nav-item active">
                <a class="nav-link" href="http://localhost/school-visitors-log-e-book">Home<span class="sr-only">(current)</span></a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="http://localhost/school-visitors-log-e-book/log-book.php">Log e-Book</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="http://localhost/school-visitors-log-e-book/visitors.php">Visitors</a>
            </li>
            </ul>
        </div>
    </nav>

    <div class="main">
        <div class="title">
            <h1>School Visitors Log e-book</h1>
            <p>A simple but efficient web app that manage and track school visitors with our intuitive School Visitors Log e-e-book. Streamline time-in processes, and maintain a digital record of all visitors to your school premises. Ensure a safe and organized environment with our user-friendly solution designed to meet the unique needs of educational institutions.</p>
            <button>Time in ></button>
        </div>
    </div>
    

    <!-- Bootstrap JS -->
    <script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.min.js"></script>

    <!-- Script  -->
    <script src="./assets/script.js"></script>
</body>
</html>